jQuery(document).ready(function($){
    var mediaUploader;
    $('#custom_login_logo_button').click(function(e) {
        e.preventDefault();
        if (mediaUploader) {
            mediaUploader.open();
            return;
        }
        mediaUploader = wp.media.frames.file_frame = wp.media({
            title: 'Choose Logo',
            button: {
                text: 'Choose Logo'
            },
            multiple: false
        });
        mediaUploader.on('select', function() {
            var attachment = mediaUploader.state().get('selection').first().toJSON();
            $('#custom_login_logo').val(attachment.url);
            $('#custom_login_logo_preview').attr('src', attachment.url);
        });
        mediaUploader.open();
    });

    $('#custom_login_logo_remove').click(function(e) {
        e.preventDefault();
        $('#custom_login_logo').val('');
        $('#custom_login_logo_preview').attr('src', '');
    });
    $('.color-field').wpColorPicker();
});